Bug 505746 - System hangs on resume from hibernation
System hangs on resume from hibernation
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 09:52 EDT by Steven Stern
Modified: 2018-04-11 06:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-06 11:38:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Stern 2009-06-13 09:52:01 EDT
ON resume from hibernation, I get the GDM login, but it's just a gray rectangle with a white field in the middle. Cannot type into it and it doesn't respond to keyboards.  Using SSH, accessed the system and  found Xorg running at 100%.  Killing Xorg allow access to system (with loss of saved session, of course).



top - 08:36:37 up 7 min,  3 users,  load average: 1.00, 0.82, 0.41
Tasks: 162 total,   2 running, 160 sleeping,   0 stopped,   0 zombie
Cpu(s): 50.1%us,  0.2%sy,  0.0%ni, 49.6%id,  0.0%wa,  0.2%hi,  0.0%si,  0.0%st
Mem:   2061508k total,   440320k used,  1621188k free,    25136k buffers
Swap:  4112376k total,        0k used,  4112376k free,   218200k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 1895 root      20   0 90240  27m 7968 R 100.2  1.4   3:10.79 Xorg   

pstack 1895

#0  0x00fdef0d in nouveau_dma_wait () from /usr/lib/libdrm_nouveau.so.1
#1  0x00fdd132 in nouveau_pushbuf_flush () from /usr/lib/libdrm_nouveau.so.1
#2  0x003be659 in NV04EXAUploadIFC ()
#3  0x003a1dad in ?? () from /usr/lib/xorg/modules/drivers//nouveau_drv.so
#4  0x00872de4 in ?? () from /usr/lib/xorg/modules//libexa.so
#5  0x008733c0 in ?? () from /usr/lib/xorg/modules//libexa.so
#6  0x00873aea in exaDoMigration () from /usr/lib/xorg/modules//libexa.so
#7  0x0087526c in ?? () from /usr/lib/xorg/modules//libexa.so
#8  0x0087590e in exaComposite () from /usr/lib/xorg/modules//libexa.so
#9  0x08176dbb in ?? ()
#10 0x0816905c in CompositePicture ()
#11 0x0816ef0b in ?? ()
#12 0x0816bbc5 in ?? ()
#13 0x080864d7 in Dispatch ()
#14 0x0806baf5 in main ()

hardware can be found at 	
http://www.smolts.org/client/show/pub_22210c35-d3f0-4445-ae9d-be8a38ec372b
Comment 1 Orion Poplawski 2009-07-10 12:29:45 EDT
Just saw the same effect but different stack strace on x86_64.

(gdb) bt                           
#0  0x00007fe78f7f8a79 in nouveau_fence_flush () from /usr/lib64/libdrm_nouveau.so.1
#1  0x00007fe78f7f885b in nouveau_fence_wait () from /usr/lib64/libdrm_nouveau.so.1
#2  0x00007fe78f7f74ff in nouveau_bo_map () from /usr/lib64/libdrm_nouveau.so.1
#3  0x00007fe78fa2af47 in ?? () from /usr/lib64/xorg/modules/drivers//nouveau_drv.so
#4  0x00007fe78fa2bc44 in ?? () from /usr/lib64/xorg/modules/drivers//nouveau_drv.so
#5  0x00007fe78d80de74 in ?? () from /usr/lib64/xorg/modules//libexa.so
#6  0x00007fe78d80e449 in ?? () from /usr/lib64/xorg/modules//libexa.so    
#7  0x00007fe78d80ebbf in exaDoMigration () from /usr/lib64/xorg/modules//libexa.so
#8  0x00007fe78d80bc45 in exaCopyNtoN () from /usr/lib64/xorg/modules//libexa.so
#9  0x00007fe78da2733d in fbCopyRegion () from /usr/lib64/xorg/modules//libfb.so
#10 0x00007fe78da2784a in fbDoCopy () from /usr/lib64/xorg/modules//libfb.so
#11 0x00007fe78d80b765 in exaCopyArea () from /usr/lib64/xorg/modules//libexa.so
#12 0x0000000000531358 in ?? ()               
#13 0x000000000044543c in ProcCopyArea ()         
#14 0x0000000000446ee4 in Dispatch ()                 
#15 0x000000000042d0d5 in main ()

kernel-2.6.29.5-191.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64

05:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev a2)

Have nouveau.noagp=1 set to avoid another X lockup.
Comment 2 Matěj Cepl 2009-11-05 13:31:42 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Chris Campbell 2009-12-06 10:22:29 EST
Steven, if you update your system per Comment #2, is this still an issue for you?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Steven Stern 2009-12-06 11:38:41 EST
Due to a disk crash, I no longer have this system available.

Note You need to log in before you can comment on or make changes to this bug.